# Tax Exemption Events

Tax Exemption Events

Endpoint: POST Tax exemption events
Version: 1.97.0

## Request fields (application/json):

  - `id` (string, required)
    Event unique identifier

  - `created_at` (string, required)
    Date and time when the event was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `type` (string, required)
    Tax exemption events webhook type 
* TAX_EXEMPTION.CREATED - Tax exemption successfully created. 
* TAX_EXEMPTION.UPDATED - Tax exemption successfully updated. 
* TAX_EXEMPTION.DELETED - Tax exemption successfully deleted.
    Enum: "TAX_EXEMPTION.CREATED", "TAX_EXEMPTION.UPDATED", "TAX_EXEMPTION.DELETED"

  - `object` (object, required)

  - `object.id` (string, required)
    Tax Exemption Unique Identifier

  - `object.status` (string, required)
    Tax exemption status 
* NEW - The tax exemption request is created. 
* ACTIVE - The tax exemption is valid and active for the current year. 
* EXPIRED - The tax exemption is no longer ACTIVE and the valid_to_date already lies in the past. An update is not possible. 
* CANCELLED - The tax exemption could not be created or was cancelled.
    Enum: "NEW", "ACTIVE", "EXPIRED", "CANCELLED"

  - `object.user_ids` (array, required)
    Ids of the users for whom the tax exemption was created.

  - `object.country` (string, required)
    Country code. [ISO 3166 alpha-2 Codes](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).

  - `object.valid_from_date` (string, required)
    Date from which the tax exemption is valid. [RFC 3339, section 5.6](https://json-schema.org/draft/2020-12/json-schema-validation.html#RFC3339)

  - `object.valid_to_date` (string,null, required)
    Date until which the tax exemption is valid. If it is unlimited, it is omitted. For Germany it is always the last day of the year (YYYY-12-31). [RFC 3339, section 5.6](https://json-schema.org/draft/2020-12/json-schema-validation.html#RFC3339)

  - `object.tax_exemption_details` (object, required)

  - `object.tax_exemption_details.tax_exemption_type` (string, required)
    Tax exemption type 
* SINGLE - Tax exemption for Individual. 
* MARRIED - Tax exemption for married couples.
    Enum: "SINGLE", "MARRIED"

  - `object.tax_exemption_details.tax_exemption_amount` (object, required)

  - `object.tax_exemption_details.tax_exemption_amount.amount` (string, required)

  - `object.tax_exemption_details.tax_exemption_amount.currency` (string, required)
    Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
    Enum: "EUR", "GBP"

  - `object.tax_exemption_details.utilized_amount` (object, required)

  - `object.tax_exemption_details.utilized_amount.amount` (string, required)

  - `object.tax_exemption_details.utilized_amount.currency` (string, required)
    Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
    Enum: "EUR", "GBP"

  - `object.tax_exemption_details.remaining_amount` (object, required)

  - `object.tax_exemption_details.remaining_amount.amount` (string, required)

  - `object.tax_exemption_details.remaining_amount.currency` (string, required)
    Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
    Enum: "EUR", "GBP"

  - `object.created_at` (string, required)
    Date and time when the resource was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `object.updated_at` (string, required)
    Date and time when the resource was last updated. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `webhook_id` (string, required)
    Webhook unique identifier.


## Response 200 fields
